# Generated from embed_xmp-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name embed_xmp

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Embed XMP sidecars into image files
License: BSD-3-Clause
URL: https://www.ctrl.blog/entry/embed-xmp.html
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
BuildArch: noarch

%description
Embed Extensible Metadata (XMP) sidecar files into image files. You must
supply your own XMP sidecar files, usually provided along with your photos,
this gem won’t help you write or validate them. The gem can be useful if you
want to embed licensing, copyright, descriptions, accessive information, or
other metadata into your photos. Supports JPEG, PNG, SVG, and WebP.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/embed_xmp
%license %{gem_instdir}/LICENSES
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.2-1
- Initial package
